/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Caisse;

import javafx.beans.property.SimpleFloatProperty;
import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class CaisseEntreListe {
    
    private SimpleStringProperty IdCaisseClt;
    
    private SimpleStringProperty CodeType;
    //0-Vente Comptant   |    1-Vente Facilité Avance | 2 Vente Commande Avance
    //3 traite clt |  4 ChequeClt   | 5 Vente Sans Facture | 6 Vente Avoir
                            
    private  SimpleStringProperty Type;
    private  SimpleStringProperty Date;
    private  SimpleStringProperty Montant;
    private  SimpleStringProperty Cheque;
    private  SimpleStringProperty Espece;
    private  SimpleStringProperty CateBancaire;
    private  SimpleFloatProperty FloatMontant;
            
    public CaisseEntreListe(String id_caisse, String code_type, String type, String date_insert, String montant, String cheque_numero_banque, String nom_prenom, String carte_numero_banque, float float_montant) {
        this.IdCaisseClt = new SimpleStringProperty(id_caisse);
        this.CodeType = new SimpleStringProperty(code_type);
        this.Type = new SimpleStringProperty(type);
        this.Date = new SimpleStringProperty(date_insert);
        this.Montant = new SimpleStringProperty(montant);
        this.Cheque = new SimpleStringProperty(cheque_numero_banque);
        this.Espece = new SimpleStringProperty(nom_prenom);
        this.CateBancaire = new SimpleStringProperty(carte_numero_banque);
        this.FloatMontant = new SimpleFloatProperty(float_montant);
        
    }
    
    
    public String getIdCaisseClt() {
        return IdCaisseClt.get();
    }
    
    public String getCodeType() {
        return CodeType.get();
    }
    
    
    public String getType() {
        return Type.get();
    }
    
    public String getDate() {
        return Date.get();
    }
    
    public String getMontant() {
        return Montant.get();
    }
    
    public String getCheque() {
        return Cheque.get();
    }
    
    public String getEspece() {
        return Espece.get();
    }
    
    public String getCateBancaire() {
        return CateBancaire.get();
    }
    
    
    public float getFloatMontant() {
        return FloatMontant.get();
    }
}
